.filter-sidebar {
    background: white;
    padding: 1.5rem;
    border-radius: 6px;
    max-width: 350px;
    height: 100%;
}

.filter-section h6 {
    color: #333;
    font-weight: 600;
}

.form-check-label {
    color: #555;
    font-size: 0.9rem;
}

.btn-link {
    color: #0d6efd;
    font-size: 0.9rem;
}

.btn-link:hover {
    color: #0a58ca;
}

.mobile-only {
    display: none;
}

.filter-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}


.gallery-item.mix {
    display: block !important;
}

.gallery-item.mix.d-none {
    display: none !important;
}

.gallery-item {
    display: block;
}


@media (max-width: 767.98px) {

    .mobile-only {
        display: block !important;
    }

    #filterContainer {
        display: none;
    }

    #filterContainer.mobile-open {
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        min-width: 100vw;
        height: 100vh;
        z-index: 999;
        overflow: scroll;
    }

    .filter-header>button {
        display: block;
        font-size: 1.5rem;
        font-weight: 700;
        line-height: 1;
        color: #000;
        text-shadow: 0 1px 0 #fff;
        opacity: .5;
        appearance: none;
        -webkit-appearance: none;
        background: none;
        border: none;
        outline: none;
    }

    .hr {
        min-height: calc((env(safe-area-inset-top) * 2) + 84px);
    }
    #selectedFilters .badge{
        overflow-wrap: break-word;
        word-wrap: break-word;
        white-space: normal;
    }

    #selectedFilters > * {
        flex: 1 1 auto;
        max-width: 100%;
    }
}

.mixitup-container {
    height: 100%;
}

.search-box {
    margin-bottom: 16px;
}

#filterSearchInput {
    border: 1px solid #ccc;
    border-radius: 8px;
    padding: 8px;
    margin-top: 10px;
}

.row {
    margin-bottom: 10px;
}

#selectedFilters .badge {
    font-size: 0.9rem;
    font-weight: 600;
    margin-bottom: 5px;
}

#selectedFilters .btn-close {
    background-color: transparent;
    border: none;
}

#clearFiltersButton {
    font-size: 0.9rem;
    font-weight: 600;
    text-decoration: underline;
}

#clearFiltersButton:hover {
    text-decoration: none;
    color: #0056b3;
}

#filtersSection {
    display: none;
}